Bug 576757 - (moovida-plugins-good) Review Request: moovida-plugins-good - Media Center
Review Request: moovida-plugins-good - Media Center
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
: Reopened
Depends On: moovida
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-24 23:46 EDT by Graeme Gillies
Modified: 2010-10-05 05:23 EDT (History)
4 users (show)

See Also:
Fixed In Version: moovida-plugins-bad-1.0.9-3.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-30 02:08:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
hdegoede: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Graeme Gillies 2010-03-24 23:46:51 EDT
Hi,

I have made some packages for Moovida which is a rename of elisa media centre
which is currently in Fedora. I have yet to be sponsored so I am looking for
someone who can sponsor me as well as review this package.

This bug is for tracking the review request of the moovida-plugins-good package used by moovida

moovida-plugins-good.spec:
http://ggillies.fedorapeople.org/moovida-plugins-good.spec

moovida-plugins-good-1.0.9-2.fc12.src.rpm:
http://ggillies.fedorapeople.org/moovida-plugins-good-1.0.9-2.fc12.src.rpm

Thanks :)
Comment 1 Hans de Goede 2010-07-12 06:12:22 EDT
Closing this as the master moovida package review bug 554243 has been marked as a dead review.

Graeme, I would love to see mooodiva in Fedora, so if you're still interested in packaging up moovida and getting this into Fedora, feel free to re-open. And I'll try to help you sort out any technical issues and sponsor you.

Regards,

Hans
Comment 2 Graeme Gillies 2010-07-14 19:54:55 EDT
Hi,

I have fixed a couple of outstanding issues with this package including changing the %excludes to be removed during %install instead, and getting rid of the duplicate file errors, and now have new packages for review

moovida-plugins-good.spec
http://ggillies.fedorapeople.org/moovida-plugins-good.spec

moovida-plugins-good-1.0.9-3.fc13.src.rpm
http://ggillies.fedorapeople.org/moovida-plugins-good-1.0.9-3.fc13.src.rpm
Comment 3 Hans de Goede 2010-08-04 11:04:43 EDT
As I offered in the -bad and -good plugins reviews I'll review this and when that is done sponsor you. I hope to finish reviewing at least the base package today before my short vacation.
Comment 4 Hans de Goede 2010-09-12 15:16:58 EDT
Hi,

Sorry for the long delay. I recently switched teams with in Red Hat and as such have been overwhelmed with work a bit. Here is a full review of this package:

Full review:

Good:
- rpmlint checks return:
moovida-plugins-good.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
These can all be ignored
- package meets naming guidelines
- package meets packaging guidelines
- license (GPLv3) OK, text not %doc, but also not in upstream tarbal, so no
  problem,  matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime

Approved!
Comment 5 Graeme Gillies 2010-09-13 20:17:01 EDT
New Package SCM Request
=======================
Package Name: moovida-plugins-good
Short Description: This package contains a collection of well-supported plug-ins of good quality and under the LGPL license for the Moovida media centre.
Owners: ggillies
Branches: f13 f14
InitialCC:
Comment 6 Kevin Fenzi 2010-09-14 00:33:37 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2010-09-21 21:36:18 EDT
moovida-plugins-bad-1.0.9-3.fc14,moovida-plugins-good-1.0.9-3.fc14,moovida-1.0.9-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/moovida-plugins-bad-1.0.9-3.fc14,moovida-plugins-good-1.0.9-3.fc14,moovida-1.0.9-3.fc14
Comment 8 Fedora Update System 2010-09-21 21:39:22 EDT
moovida-plugins-bad-1.0.9-3.fc13,moovida-plugins-good-1.0.9-3.fc13,moovida-1.0.9-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/moovida-plugins-bad-1.0.9-3.fc13,moovida-plugins-good-1.0.9-3.fc13,moovida-1.0.9-3.fc13
Comment 9 Fedora Update System 2010-09-22 14:43:00 EDT
moovida-plugins-bad-1.0.9-3.fc14, moovida-plugins-good-1.0.9-3.fc14, moovida-1.0.9-3.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update moovida-plugins-bad moovida-plugins-good moovida'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/moovida-plugins-bad-1.0.9-3.fc14,moovida-plugins-good-1.0.9-3.fc14,moovida-1.0.9-3.fc14
Comment 10 Fedora Update System 2010-09-30 02:08:19 EDT
moovida-plugins-bad-1.0.9-3.fc14, moovida-plugins-good-1.0.9-3.fc14, moovida-1.0.9-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2010-10-05 05:23:30 EDT
moovida-plugins-bad-1.0.9-3.fc13, moovida-plugins-good-1.0.9-3.fc13, moovida-1.0.9-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.